* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow-y: hidden;
}

@font-face {
  font-family: 'Noto Mono'; /* Choose a name for the font */
  src: url('fonts/NotoMono-Regular.ttf') format('truetype'),
  /* Add other font formats if needed */
}

@font-face {
  font-family: 'Neuropolitical'; /* Choose a name for the font */
  src: url('fonts/neuropolitical-rg.otf') format('opentype'),
  /* Add other font formats if needed */
}

@font-face {
  font-family: 'Conthrax'; /* Choose a name for the font */
  src: url('fonts/conthrax-sb.ttf') format('truetype'),
  /* Add other font formats if needed */
}

body {
  font-family: 'Noto Mono';
  /* overflow-x: hidden; Prevent horizontal scroll on body */
  overflow-y: hidden;
  margin: 0;
  padding: 0;
}

.container {
  display: flex;
  flex-direction: row;
/*  width: 600vw; 100% for each section*/
  height: 100%; /* Full viewport height */
  overflow-x: clip; 
/*  scroll-snap-type: x mandatory; Enable snap scrolling*/
/*  background: radial-gradient(30% 100% at top center, #FFFFFF, #B5BEFF);*/
  background-size: cover;
}

section {
  width: 100%; /* Full viewport width */
  height: 100%; /* Full viewport height */
/*  scroll-snap-align: start; Snap to the start of each section*/
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  overflow: clip;
  background-size: contain;
  z-index: -2;
}

#ds-tools-cover .green-line{
  /* background: url('ds-tools-cover-lines-mobile.png');
  background-size: cover;
  background-repeat: no-repeat; */
  /* background-color: #FFFFFF; */
  /*background-image: url(';*/
  /* background-attachment: fixed | scroll; */
  /* background-size: contain; */
  background-position: bottom; /*center | right 30px bottom 15px; */
  background-repeat: no-repeat;
  /* background-origin: border-box | padding-box | content-box; */
  /* background-clip: border-box | padding-box | content-box; */
  /* background-blend-mode: multiply | screen | overlay; */
/*  position: absolute;*/
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%; /* Height of the green line */
  /* background-color: green; Green line color */
  /* background: url('ds-tools-Messaging-lines.svg'); */
  z-index: 0;
}

#title-laptop {
  position: static;
  position: relative;
  /* top: 30%; */
  /* left: 48px; */
  /* padding-left: 7vw; */
  /* padding-top: 10vh; */
  overflow: visible;
  /* display: flex; */
  padding: 20% 4% 3% 10%;
  /* flex-direction: row; */
  /* align-items: flex-end; */
  /* justify-content: end; */
}

h1 {
/*  width: 364px;*/
  color: rgba(0,0,0,1);
  position: relative;
  text-shadow: 
    -.25px -.25px 0 #336699,  
    .25px -.25px 0 #336699,
    -.25px .25px 0 #336699,
    .25px .25px 0 #336699,
    0px 4px 15px rgba(0, 255, 0, 0.7); /* Green drop shadow */
   -webkit-text-stroke: .75px #336699; /*Blue stroke outline for WebKit browsers */
  font-family: 'Noto Mono';
  font-weight: Regular;
  font-size: 74px;
  opacity: 1;
  text-align: left;
  z-index: 1;
  overflow: visible;
}

#security {
  letter-spacing: -5px;
}

#laptop {
  position: relative;
  bottom: 2.75rem; 
  /* left: 180px; */
  width: 44%; /* Adjust logo size */
  margin: 0 10px; /* Space between logos */
  z-index: 1;
  float: right;
  scale: 1.3;
  overflow: visible;
}

#laptop img {
  height: auto;
  width: 100%;
}

.logos {
  overflow: visible;
  width: 375px;
}

.logos img {
  position: relative;
  width: 115px; /* Adjust logo size */
  margin: 0 10px; /* Space between logos */
  z-index: 1;
}

.logos #signal {
  position: relative;
  bottom: 80px;
  left: 41px;
}

.logos #cryptpad {
  position: relative;
  bottom: 1px;
  left: 65px;
  width: 105px;
}

.logos #keepassxc {
  position: relative;
  bottom: 6vh;
  left: 77px;
  width: 105px;
}

p section {
  z-index: 1;
  font-family: 'Noto Mono';
}

#arrow {
  position: absolute;
  margin-bottom: 20px;
  bottom:40px;
  right: 5px;
  width: 40px; /* Adjust logo size */
  /* margin: 0 10px; Space between logos */
  z-index: 1;
  opacity: 50%;
}

#arrow-back {
  position: absolute;
  margin-bottom: 20px;
  bottom:40px;
  left: 5px;
  width: 40px; /* Adjust logo size */
  /* margin: 0 10px; Space between logos */
  z-index: 1;
  opacity: 50%;
  transform: rotate(180deg);
}

.text-container {
  width: 100%; /* Full viewport width */
  height: 100%; /* Full viewport height */
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-evenly;
/*  position: relative;*/
/*  overflow: visible;*/
  padding:2.89% 4% 10% 1.8%;
  z-index: 1;
}

#ds-tools-foss .text-container{
  flex-direction: column;
  justify-content: flex-start;
  padding:2.89% 4% 10% 4%;
}

#ds-tools-foss .section-text {
  margin-top: 5%;
}

h2{
/*  width: 378px;*/
  color: rgba(0,0,0,1);
/*  position: absolute;*/
/*  top: 9px;*/
/*  left: 25px;*/
  text-shadow: 0px 4px 15px rgba(17, 0, 225, 0.5);
  font-family: Neuropolitical;
  font-weight: Regular;
  font-size: 30px;
  opacity: 1;
  text-align: left; 
  line-height: 108%;
}

h2 div {
  letter-spacing: -.21rem;
}

.section-text {
/*  width: 325px;*/
/*  height: auto;*/
  color: rgba(0,0,0,1);
/*  position: absolute;*/
  font-family: Noto Mono;
  font-size: .66rem;
  opacity: 1;
  text-align: left;
/*  margin-top: 25px;*/
  z-index: 1;
  overflow: auto;
}


/*SECTION BACKGROUND GRADIENT*/
#ds-tools-cover {
  background: #B5BEFF;
}
#ds-tools-foss {
  background:radial-gradient(90% 90% at top right, #dcdffa, #B5BEFF);
}
#ds-tools-messaging {
  background: radial-gradient(200% 80% at top right, #FFF, #B5BEFF);
}
#ds-tools-shared-docs {
  background: radial-gradient(300% 100% at top left, #FFF, #B5BEFF);
}
#ds-tools-pw-manager {
  background: radial-gradient(90% 70% at top left, #FFF, #B5BEFF);
}
#ds-tools-pw-manager {
  background: radial-gradient(90% 70% at top left, #dcdffa, #B5BEFF);
}
#ds-tools-links {
  background: #B5BEFF;
}
/*END OF SECTION BACKGROUND GRADIENT*/


/*#ds-tools-foss .section-text {
  width: 325px;
  color: rgba(0,0,0,1);
  position: absolute;
  top: 109px;
  left: 25px;
  font-size: 0.69rem;
  opacity: 1;
  text-align: left;
  margin-top: 25px;

}*/
  
.sideways-lr {
  writing-mode: sideways-lr;
  -ms-writing-mode: sideways-lr;
  -webkit-writing-mode: sideways-lr;
  -moz-writing-mode: sideways-lr;
  width: 100%;
  height: 100%;
  overflow: visible;
}

h3 {
  color: rgba(0,0,0,1);
/*  position: absolute;*/
/*  top: 6.25rem;*/
/*  left: -5.25rem;*/
  text-shadow: 0px 4px 15px rgba(17, 0, 225, 0.5);
  font-family: Conthrax;
  font-weight: Regular;
  font-size: 1.875rem;
  opacity: 1;
  text-align: right; 
  line-height: 108%;
/*  transform: rotate(-90deg);*/
/*  transform-origin: 0 0;*/
  margin-right: 2%;
  text-transform: uppercase;
  overflow: visible;
  writing-mode: sideways-lr;
  -ms-writing-mode: sideways-lr;
  -webkit-writing-mode: sideways-lr;
  -moz-writing-mode: sideways-lr;
}

#ds-tools-messaging aside {
  text-align: right;
}

#signal-logo {
  position: relative;
  width: 80%;
  height: auto;
  bottom: 12%;
  right: 5%;
}

#ds-tools-shared-docs .section-text{
  font-size: .95rem;
}

#cryptpad-logo {
  position: relative;
  width: 80%;
  height: auto;
  bottom: 5%;
  left: 5%;
}

#ds-tools-pw-manager .section-text{
  font-size: .8rem;
}

#keepassxc-logo {
  position: relative;
  width: 80%;
  height: auto;
  bottom: 8%;
  left: 7%;
}

#ds-tools-links .text-container {
  flex-direction: column;
  justify-content: flex-start;
  overflow-wrap: anywhere;
  -ms-word-break: break-all;
  word-break: break-all;
  word-break: break-word;
  padding:2.89vh 4vw 25vh 4vw;
}

#ds-tools-links h2 {
  position: unset;
  text-align: center;
  width: unset;
}

#ds-tools-links .section-text {
  margin-top: 5vh;
  margin-left: 5vw;
  position: unset;
  line-height: 200%;
  font-size: .8rem;
}

.green-line{
  /* background: url('ds-tools-cover-lines-mobile.png');
  background-size: cover;
  background-repeat: no-repeat; */
  /* background-color: #FFFFFF; */
  /*background-image: url(';*/
  /* background-attachment: fixed | scroll; */
  /* background-size: contain; */
  background-position: bottom; /*center | right 30px bottom 15px; */
  background-repeat: no-repeat;
  /* background-origin: border-box | padding-box | content-box; */
  /* background-clip: border-box | padding-box | content-box; */
  /* background-blend-mode: multiply | screen | overlay; */
  position: fixed;
  bottom: 0%;
  left: 0%;
  width: 100%;
  height: 100%; /* Height of the green line */
  /* background-color: green; Green line color */
  /* background: url('ds-tools-Messaging-lines.svg'); */
  z-index: -1;
}

/*JS BUTTON STUFF*/

section {
    display: none; /* Hide all sections initially */
}

section.active {
    display: flex; /* Show the active section */
}

.navigation {
    position: fixed;
    bottom: -5px; /* Position buttons at the bottom */
    left: 0px; /* Position buttons on the left */
    right: 0px; /* Position buttons on the right */
    display: flex;
    justify-content: space-between; /* Space buttons to the sides */
}

.nav-button {
    font-size: 16px;
    cursor: pointer;
    background-color: transparent;
    border: none;
}
/*END OF JS BUTTON STUFF*/

/*RESPONSIVE SCREENS*/

/* For Mobile Portrait View */
@media screen and (max-device-width: 480px)
and (orientation: portrait) {

}
 
/* For Mobile Landscape View */
@media screen and (max-device-width: 640px)
and (orientation: landscape) {

}
 
/* For Mobile Phones Portrait or Landscape View */
@media screen and (max-device-width: 640px) {

}
 
/* For iPhone 4 Portrait or Landscape View */
@media screen and (min-device-width: 320px)
and (-webkit-min-device-pixel-ratio: 2) {

}
 
/* For iPhone 5 Portrait or Landscape View */
@media (device-height: 568px) and (device-width: 320px)
and (-webkit-min-device-pixel-ratio: 2) {

}
 
/* For iPhone 6 and 6 plus Portrait or Landscape View */
@media (min-device-height: 667px) and (min-device-width: 375px)
and (-webkit-min-device-pixel-ratio: 3) {

}


@media only screen and (max-width: 480px){ 

}

@media only screen and (max-width: 360px){

}

/* For Mobile Landscape View */
@media screen and (max-device-width: 767px)
and (orientation: landscape) {
  #title-laptop {
    position: unset;
    display: flex;
    padding: 1% 4% 0% 8%;
  }

  #laptop {
     position: unset; 
     width: unset; 
     margin: unset; 
     scale: unset; 
  }

  .logos {
    width: 100%;
    display: flex;
    justify-content: center;
  }

  .logos img {
    width: 50%;
  }

  .logos #signal {
     /* position: unset; */
     bottom: unset; 
     left: unset; 
  }

  .logos #cryptpad {
    bottom: unset; 
    left: unset; 
    width: 50%;
  }

  .logos #keepassxc {
/*     position: unset; */
     bottom: unset; 
     left: unset; 
/*     width: unset; */
  }
}


/* For Tablet View */
@media screen and (min-device-width: 768px)
and (max-device-width: 1024px) {
  h1 {
    font-size: 8rem;
    /* left: -2%; */
  }

  #title-laptop {
     /* top: 0; */
    left: -3%;
    /* padding-left: 11%; */
    /* padding-top: 15%; */
    height: 70%;
    padding: 15% 4% 10% 10%;
    /* text-align: center; */
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: unset; */
  }

  #laptop {
    bottom: 12rem;
    left: 10rem;
    width: 33.125rem;
    height: 25.938rem;
    float: right;
    scale: .6;
  }

  .logos {
    width: 100%;
    align-items: center;
    display: flex;
    height: 25%;
    justify-content: space-evenly;
  }

  .logos img {
    padding-bottom: 175px;
    scale: .85;
    z-index: 1;
    width: unset;
  }

  .logos #signal {
    bottom: unset;
    left: unset;
  }

  .logos #cryptpad {
    bottom: unset;
    left: unset;
    width: unset;
  }

  .logos #keepassxc {
    bottom: unset;
    left: unset;
    width: unset;
  }

  section {
    justify-content: flex-start;
  }

  .navigation {
    bottom: 0px;
    height: 10%;
  }

  .nav-button {
    font-size: unset;
    margin: unset;
    width: 15%;
  }

  .logos > a:nth-child(1) {
    width: unset;
  }

  button img {
    width: 100%;
  }

  h2 {
    font-size: 3.4rem;
  }

  .section-text {
    font-size: 1.17rem;
  }

  h3 {
    font-size: 3.35rem;
  }

  #ds-tools-messaging .section-text {
  font-size: 1.237rem;
  }

  #ds-tools-shared-docs .section-text {
    font-size: 1.75rem;
  }

  #ds-tools-pw-manager .section-text {
    font-size: 1.4rem;
  }

  #ds-tools-links .section-text {
    font-size: 1.3rem;
  }

}

/* For Tablet Landscape & Laptop View */
@media screen and (min-device-width: 768px)
and (max-device-width: 1024px) and (orientation: landscape){
  h1 {
    font-size: 8rem;
    /* left: -2%; */
  }

  #title-laptop {
     /* top: 0; */
    left: -3%;
    /* padding-left: 11%; */
    /* padding-top: 15%; */
    height: 70%;
    padding: 15% 4% 10% 10%;
    /* text-align: center; */
    /* display: flex; */
    /* align-items: center; */
    /* justify-content: unset; */
    scale: .8;
    z-index: 1;
  }

  #laptop {
    bottom: 12rem;
    left: 27%;
    width: 33.125rem;
    height: 25.938rem;
    float: right;
    scale: .6;
  }

  .logos {
    width: 100%;
    align-items: center;
    display: flex;
    height: unset;
    justify-content: space-evenly;
    scale: .7;
    z-index: 1;
  }

  .logos img {
    padding-bottom: 175px;
    scale: .85;
    z-index: 1;
    width: unset;
  }

  .logos #signal {
    bottom: unset;
    left: unset;
  }

  .logos #cryptpad {
    bottom: unset;
    left: unset;
    width: unset;
  }

  .logos #keepassxc {
    bottom: unset;
    left: unset;
    width: unset;
  }

  section {
    justify-content: flex-start;
  }

  .navigation {
    bottom: 0px;
    height: 18%;
  }

  .nav-button {
    font-size: unset;
    margin: unset;
    width: 15%;
    scale: .7;
  }

  .logos > a:nth-child(1) {
    width: unset;
  }

  button img {
    width: 100%;
  }

  h2 {
    font-size: 6vh;
  }

  .section-text {
    font-size: 2.2vh;
    column-count: 2;
  }

  h3 {
    font-size: 4vh;
  }

  #ds-tools-messaging .section-text {
    font-size: 2.1vh;
  }

  #signal-logo {
    scale: .6;
  }

  #ds-tools-shared-docs .section-text {
    font-size: 2.5vh;
  }

  #cryptpad-logo {
    bottom: -5%;
    scale: .7;
  }

  #ds-tools-pw-manager .section-text {
    font-size: 2.5vh;
  }

  #keepassxc-logo {
    scale: .7;
  }

  #ds-tools-links .section-text {
    font-size: 2.5vh;
    column-count: 1;
  }

}

/* For Desktop View */
@media screen and (min-width: 1024px) and (orientation: landscape)  {
  #ds-tools-cover .green-line{
      width: unset;
  }

  h1 {
    font-size: 7.625rem;
  }

  #title-laptop {
    position: relative;
    top: unset;
    padding-left: unset;
    padding-top: unset;
    height: 65%;
    padding: 5% 4% 0% 10%;
    display: flex;
    align-items: center;
    justify-content: center;
    left: unset;
    width: 100%;
  }

  #laptop {
    bottom: 55%;
    left: 27%;
    float: right;
    scale: .75;
    position: unset;
    width: 100%;
    height: 100%;
    scale: 1;
    align-items: center;
    display: flex;
  }

  .logos {
    width: 80%;
    align-items: center;
    display: flex;
    justify-content: space-evenly;
    scale: .8;
    z-index: 1;
    height: unset;
  }

  .logos img {
    position: unset;
    width: unset;
    margin: unset;
  }

  .logos #signal {
    bottom: unset;
    left: unset;
  }

  .logos #cryptpad {
    bottom: unset;
    left: unset;
    width: unset;
  }

  .logos #keepassxc {
    bottom: unset;
    left: unset;
    width: unset;
  }

  section {
    justify-content: flex-start;
  }

  .navigation {
    bottom: 0px;
    height: 15%;
  }

  .nav-button {
    font-size: unset;
    margin: unset;
    width: 9%;
  }

  .logos > a:nth-child(1) {
    width: unset;
  }

  button img {
    width: 60%;
  }

  .text-container {
    padding: 4% 15% 1.8%;
  }

  h2 {
    font-size: 3.4rem;
  }

  #ds-tools-foss .text-container {
    padding: 2.89% 15% 10%;
  }

  .section-text {
    overflow-y: auto;
  }

  #ds-tools-foss .section-text {
    font-size: .85rem;
  }

  h3 {
    font-size: 2.9rem;
    padding-right: 5%;
  }

  #ds-tools-messaging .section-text {
  font-size: 1.85vh;
  }

  #signal-logo {
    width: 37%;
    bottom: 14%;
    right: 15%;
  }

  #ds-tools-shared-docs .section-text {
    font-size: 2.5vh;
  }

  #cryptpad-logo {
    width: 55%;
    bottom: 0%;
    left: 0%;
  }

  #ds-tools-pw-manager .section-text {
    font-size: 2.3vh;
  }


  #keepassxc-logo {
    width: 48%;
    bottom: 4%;
  }

  #ds-tools-links .section-text {
    font-size: 2vh;
  }
}


/*Extra large devices (large laptops and desktops, 1200px and up)*/
@media only screen and (min-width: 1200px) {
  #laptop {
    margin: 0px 70px;
    bottom: -25%;
    left: unset;
    scale: 1;
  }

  #title-laptop {
    display: flex;
    padding: 10% 4% 10% 10%;
    align-items: center;
  }

  #ds-tools-links .text-container {
    padding: 4% 15% 1.8%;
  }

  .section-text {
    column-count: 2;
  }

  #ds-tools-foss .section-text {
    font-size: .9rem;
  }

  #ds-tools-messaging .section-text {
    font-size: 1rem;
  }

  #ds-tools-shared-docs .section-text {
    font-size: 1.45rem;
  }

  #cryptpad-logo {
    width: unset;
    height: unset;
    bottom: 0%;
    left: 0%;
    scale: .6;
  }

  #ds-tools-pw-manager .section-text {
    font-size: 1.16rem;
  }

  #ds-tools-links .section-text {
    font-size: 1.2rem;
    column-count: unset;
  }
}

/* For Desktop View */
@media screen and (min-width: 1440px) {
  #ds-tools-cover .green-line{
        width: unset;
    }

    h1 {
      font-size: 7.625rem;
    }

    #title-laptop {
      position: relative;
      top: none;
      left: none;
  /*    padding-left: 0%;*/
  /*    padding-top: 15%;*/
      height: 65%;
      /* display: flex; */
      padding: 10% 4% 10% 10%;
    }

    #laptop {
      bottom: 55%;
      left: 27%;
      width: 100%;
      height: 100%;
      float: right;
      scale: .75;
    }

    .logos {
      width: 65%;
      align-items: center;
      display: flex;
      height: 25%;
      justify-content: space-evenly;
    }

    .logos img {
      position: unset;
      width: unset;
      margin: unset;
    }

    .logos #signal {
      bottom: unset;
      left: unset;
    }

    .logos #cryptpad {
      bottom: unset;
      left: unset;
      width: unset;
    }

    .logos #keepassxc {
      bottom: unset;
      left: unset;
      width: unset;
    }

    section {
      justify-content: flex-start;
    }

    .navigation {
      bottom: 0px;
      height: 20%;
    }

    .nav-button {
      font-size: unset;
      margin: unset;
      width: 15%;
    }

    .logos > a:nth-child(1) {
      width: unset;
    }

    button img {
      width: 60%;
    }

    .text-container {
      padding: 4% 15% 1.8%;
    }

    h2 {
      font-size: 3.4rem;
    }

    #ds-tools-foss .text-container {
      padding: 2.89% 15% 10%;
    }

    #ds-tools-foss .section-text {
      font-size: 1.07rem;
    }

    h3 {
      font-size: 2.9rem;
      padding-right: 5%;
    }

    #ds-tools-messaging .section-text {
    font-size: 1.14rem;
    }

    #signal-logo {
      width: 37%;
      bottom: 14%;
      right: 15%;
    }

    #ds-tools-shared-docs .section-text {
      font-size: 1.55rem;
    }

    #cryptpad-logo {
      width: 55%;
      bottom: 0%;
      left: 0%;
    }

    #ds-tools-pw-manager .section-text {
      font-size: 1.3rem;
    }


    #keepassxc-logo {
      width: 48%;
      bottom: 4%;
    }

    #ds-tools-links .section-text {
      font-size: 1.3rem;
    }
  }
}

/* Medium devices (landscape tablets, 768px and up)
@media only screen and (min-width: 768px) {...}

/* Large devices (laptops/desktops, 992px and up) 
@media only screen and (min-width: 992px) {...}

